shareableobject.h File Reference

Deals with objects that can be shared from the calculation engine with the outside world. More...

`#include <iostream>`
`#include <string>`
`#include "regina-core.h"`
`#include "utilities/boostutils.h"`

## Classes

class | regina::ShareableObject
| Facilitates mirroring objects in the underlying C++ calculation engine using the various wrapper classes provided in the various external interfaces (such as the Python interface). More...

## Namespaces

| regina
| Contains the entire Regina calculation engine.

## Detailed Description

Deals with objects that can be shared from the calculation engine with the outside world.

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).